import { build_fragment_shader } from "./build_fragment_shader.js";
import { build_vertex_shader } from "./build_vertex_shader.js";

/**
 *
 * @param {{vertexShader, fragmentShader}} shader
 */
export function space_vertex_transform_shader(shader) {

    shader.vertexShader = build_vertex_shader(shader.vertexShader);
    shader.fragmentShader = build_fragment_shader(shader.fragmentShader);

}